SCheckpointConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SCheckpointConfig

- java.lang.Object
- - com.sleepycat.client.SCheckpointConfig

-     public class SCheckpointConfig
      extends java.lang.Object

  Specifies the attributes of an application invoked checkpoint operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCheckpointConfig()` Create a default SCheckpointConfig.
    `SCheckpointConfig(boolean force, int kBytes, int minutes)` Create a SCheckpointConfig with specified attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getForce()` Return the configuration of the checkpoint force option.
    `int` | `getKBytes()` Return the checkpoint log data threshold, in kilobytes.
    `int` | `getMinutes()` Return the checkpoint time threshold, in minutes.
    `SCheckpointConfig` | `setForce(boolean force)` Configure the checkpoint force option.
    `SCheckpointConfig` | `setKBytes(int kBytes)` Configure the checkpoint log data threshold, in kilobytes.
    `SCheckpointConfig` | `setMinutes(int minutes)` Configure the checkpoint time threshold, in minutes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCheckpointConfig

          public SCheckpointConfig()

      Create a default SCheckpointConfig.

    - #### SCheckpointConfig

          public SCheckpointConfig(boolean force,
                                   int kBytes,
                                   int minutes)

      Create a SCheckpointConfig with specified attributes.
      Parameters:
        `force` - if a checkpoint is always performed
        `kBytes` - the checkpoint log data threshold, in kilobytes
        `minutes` - the checkpint time threshold, in minutes

  - ### Method Detail

    - #### getForce

          public boolean getForce()

      Return the configuration of the checkpoint force option.
      Returns:
        the configuration of the checkpoint force option.

    - #### setForce

          public SCheckpointConfig setForce(boolean force)

      Configure the checkpoint force option.
      Parameters:
        `force` - if set to true, force a checkpoint, even if there has been no activity since the last checkpoint.
      Returns:
        this

    - #### getKBytes

          public int getKBytes()

      Return the checkpoint log data threshold, in kilobytes.
      Returns:
        the checkpoint log data threshold, in kilobytes

    - #### setKBytes

          public SCheckpointConfig setKBytes(int kBytes)

      Configure the checkpoint log data threshold, in kilobytes.
      Parameters:
        `kBytes` - if the `kbytes` parameter is non-zero, a checkpoint will be performed if more than `kbytes` of log data have been written since the last checkpoint.
      Returns:
        this

    - #### getMinutes

          public int getMinutes()

      Return the checkpoint time threshold, in minutes.
      Returns:
        the checkpoint time threshold, in minutes.

    - #### setMinutes

          public SCheckpointConfig setMinutes(int minutes)

      Configure the checkpoint time threshold, in minutes.
      Parameters:
        `minutes` - if the `minutes` parameter is non-zero, a checkpoint is performed if more than min minutes have passed since the last checkpoint.
      Returns:
        this

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.